| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
Type Code Constants

## Variables
const | Qore::NT_ALL = NT_ALL
| type code for wildcard types (both with - `"all"` and without - `"auto"` type stripping)
const | Qore::NT_BINARY = NT_BINARY
| type code for binary values
const | Qore::NT_BOOLEAN = NT_BOOLEAN
| type code for boolean values
const | Qore::NT_CALLREF = NT_FUNCREF
| type code for call references
const | Qore::NT_CLOSURE = NT_RUNTIME_CLOSURE
| type code for closures
const | Qore::NT_DATE = NT_DATE
| type code for date/time values
const | Qore::NT_FLOAT = NT_FLOAT
| type code for float values
const | Qore::NT_HASH = NT_HASH
| type code for hash values
const | Qore::NT_INT = NT_INT
| type code for integer values
const | Qore::NT_LIST = NT_LIST
| type code for list values
const | Qore::NT_NOTHING = NT_NOTHING
| type code for no value (NOTHING)
const | Qore::NT_NULL = NT_NULL
| type code for NULL
const | Qore::NT_NUMBER = NT_NUMBER
| type code for number values
const | Qore::NT_OBJECT = NT_OBJECT
| type code for objects
const | Qore::NT_STRING = NT_STRING
| type code for string values

## Detailed Description

Type code constants as returned by <value>::typeCode()

## Variable Documentation

## ◆ NT_ALL

const Qore::NT_ALL = NT_ALL

type code for wildcard types (both with - `"all"` and without - `"auto"` type stripping)

Since
  Qore 0.9.4